CREATE TABLE hrc_dl_ui_bus_objects_b (
    UI_BUSINESS_OBJECT_ID      NUMBER(18, 0) ,
    UI_BUSINESS_OBJECT_GUID    VARCHAR2(256)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    MODULE_ID                  VARCHAR2(128) ,
    ENTERPRISE_ID              NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    UI_BUSINESS_OBJECT_ID      NUMBER(18, 0) ,
    UI_BUSINESS_OBJECT_GUID    VARCHAR2(256)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    MODULE_ID                  VARCHAR2(128) ,
    ENTERPRISE_ID              NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrc_dl_ui_bus_objects_b PRIMARY KEY (UI_BUSINESS_OBJECT_ID, UI_BUSINESS_OBJECT_ID)
);
